Page MenuHomePhabricator

Upgrade Grafana to 4.0.2
Closed, ResolvedPublic

Description

We (Performance Team) would like to experiment with the new Alerts feature in Grafana 4.0 during our offsite. The upgrade seems risk-free enough for the Labs Grafana: http://grafana.org/blog/2016/11/09/grafana-4.0-beta-release/ (no breaking changes). That blog post is about the beta version, but 4.0 is stable now.

http://grafana.org/download/

Event Timeline

Gilles created this task.Dec 6 2016, 1:37 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 6 2016, 1:37 AM
Peter renamed this task from Upgrade labmon1001 Grafana to 4.0 beta to Upgrade labmon1001 Grafana to 4.0.Dec 6 2016, 3:41 AM
Gilles renamed this task from Upgrade labmon1001 Grafana to 4.0 to Upgrade labmon1001 Grafana to 4.0.1.Dec 6 2016, 1:08 PM
Gilles updated the task description. (Show Details)
Krinkle updated the task description. (Show Details)Dec 6 2016, 2:53 PM
Gilles updated the task description. (Show Details)Dec 6 2016, 3:08 PM

I'd be ok with trying the 4.0 on grafana-labs, adding Cloud-Services for visibility. The process would be to download/verify/install the 4.0 deb on labmon and if it goes well update the grafana repo on carbon and upgrade production.

Mentioned in SAL (#wikimedia-operations) [2016-12-06T23:00:49Z] <godog> upgrade grafana on labmon1001 - T152473

Gilles triaged this task as High priority.Dec 7 2016, 7:37 PM
Gilles lowered the priority of this task from High to Medium.
Gilles moved this task from Inbox to Blocked or Needs-CR on the Performance-Team board.

Grafana on labmon updated to 4.0.1, no issues reported so far. When further testing (alerting?) is completed I think we can upgrade production too.

Gilles added a comment.Dec 8 2016, 2:55 AM

For alterting we might want to configure email. Afaik the Grafana ini file needs SMTP config, it doesn't use sendmail.

Mentioned in SAL (#wikimedia-operations) [2016-12-12T20:36:06Z] <godog> upgrade grafana to 4.0.2 on krypton - T152473

fgiunchedi renamed this task from Upgrade labmon1001 Grafana to 4.0.1 to Upgrade Grafana to 4.0.2.Dec 12 2016, 8:36 PM
Gilles closed this task as Resolved.Dec 15 2016, 10:24 PM

That's done now, right?

That's done now, right?

Correct!